Class | Fog::DNS::Bluebox::Real
In: | lib/fog/bluebox/requests/dns/create_record.rb lib/fog/bluebox/requests/dns/get_record.rb lib/fog/bluebox/requests/dns/get_zones.rb lib/fog/bluebox/requests/dns/create_zone.rb lib/fog/bluebox/requests/dns/delete_record.rb lib/fog/bluebox/requests/dns/get_records.rb lib/fog/bluebox/requests/dns/delete_zone.rb lib/fog/bluebox/requests/dns/update_zone.rb lib/fog/bluebox/requests/dns/get_zone.rb lib/fog/bluebox/dns.rb
Parent: | Object

### Methods

auth_header create_record create_zone delete_record delete_zone get_record get_records get_zone get_zones new reload request update_zone

### Public Class methods

new(options ={})

### Public Instance methods

create_record(zone_id, type, name, content, options={})

Create a new record in a DNS zone

#### Parameters

- type<~String> - type of DNS record to create (A, CNAME, etc)
- name<~String> - host name this DNS record is for
- content<~String> - data for the DNS record (ie for an A record, the IP address)

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘name’<~String> - as above
    - ‘id’<~Integer> - Id of zone/domain - used in future API calls for this zone
    - ‘ttl’<~Integer> - as above
    - ‘data’<~String> - as above
    - ‘active’<~String> - as above
    - ‘aux’<~String> - as above

create_zone(options)

Create a new DNS zone

#### Parameters

        * 'name'<~String> - The name of the zone
        * 'ttl'<~Integer> - TimeToLive (ttl) for the domain, in seconds
        * 'retry'<~Integer> - Retry interval for the domain, in seconds
        * 'refresh'<~Integer> - Refresh interval for the zone
        * 'minimum'<~Integer> - Minimum refresh interval for the zone

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘name’<~String> - The name of the zone
    - ‘serial’<~Integer> - Serial number of the zone
    - ‘ttl’<~Integer> - TimeToLive (ttl) for the domain, in seconds
    - ‘retry’<~Integer> - Retry interval for the domain, in seconds
    - ‘record-count’<~Integer> - Number of records in the zone
    - ‘id’<~String> - Id for the zone
    - ‘refresh’<~Integer> - Refresh interval for the zone
    - ‘minimum’<~Integer> - Minimum refresh interval for the zone

delete_record(zone_id, record_id)

Delete a record from the specified DNS zone

#### Parameters

- record_id<~Integer> - Id of DNS record to delete

#### Returns

- response<~Excon::Response>: - HTTP status code will be result

delete_zone(zone_id)

Delete a zone from DNS

#### Parameters

- zone_id<~Integer> - Id of zone to delete

#### Returns

- response<~Excon::Response>: - HTTP status code will be result

get_record(zone_id, record_id)

Get an individual DNS record from the specified zone

#### Returns

- response<~Excon::Response>:
  - hash<~Hash>:
    - ‘id’<~String> - The id of this record
    - ‘type’<~String> - type of DNS record to create (A, CNAME, etc)
    - ‘domain-id’<~Integer> - ID of the zone
    - ‘name’<~String> - empty?
    - ‘domain’<~String> - The domain name
    - ‘type’<~String> - The type of DNS record (e.g. A, MX, NS, etc.)
    - ‘content’<~String> - data for the DNS record (ie for an A record, the IP address)

get_records(zone_id)

Get all the DNS records across all the DNS zones for this account

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - ‘addresses’<~Array> - Ip addresses for the slice
    - ‘backup-id’<~Integer> - Id of backup slice was booted from
    - ‘flavor_id’<~Integer> - Id of flavor slice was booted from
    - ‘id’<~Integer> - Id of the slice
    - ‘image-id’<~Integer> - Id of image slice was booted from
    - ‘name’<~String> - Name of the slice
    - ‘progress’<~Integer> - Progress of current action, in percentage
    - ‘status’<~String> - Current status of the slice

get_zone(zone_id)

Get details of a DNS zone

#### Parameters

- zone_id<~Integer> - Id of zone to lookup

#### Returns

- response<~Excon::Response>:
  - hash<~Hash>:
    - ‘name’<~String> - The name of the zone
    - ‘serial’<~Integer> - Serial number of the zone
    - ‘ttl’<~Integer> - TimeToLive (ttl) for the domain, in seconds
    - ‘retry’<~Integer> - Retry interval for the domain, in seconds
    - ‘record-count’<~Integer> - Number of records in the zone
    - ‘id’<~String> - Id for the zone
    - ‘refresh’<~Integer> - Refresh interval for the zone
    - ‘minimum’<~Integer> - Minimum refresh interval for the zone

get_zones()

Get list of all DNS zones hosted on Bluebox (for this account)

#### Returns

- response<~Excon::Response>:
  - ‘records’<~Array>
    - ‘record‘
      - ‘name’<~String> - name of the zone
      - ‘serial’<~Integer> - Serial # for the zone
      - ‘ttl’<~Integer> - TTL for the zone record in seconds
      - ‘retry’<~Integer> - Retry interval for the zone record in seconds
      - ‘expires’<~Integer> - Expiration interval for the zone record in seconds
      - ‘record-count’<~Integer> - # of records in this zone
      - ‘id’<~String> - Id for the zone record
      - ‘refresh’<~Integer> - default refresh interval for this zone, in seconds
      - ‘minimum’<~Integer> - minimum value for intervals for this zone, in seconds

reload()
request(params)
update_zone(zone_id, options)

Updates an existing DNS zone

### Protected Instance methods

auth_header()

[Validate]